define({'ACI (Autonomy Content Infrastructure)':{d:'A technology layer that automates operations on unstructured information for cross-enterprise applications. ACI enables an automated and compatible business-to-business, peer-to-peer infrastructure.\n\nThe ACI allows enterprise applications to understand and process content that exists in unstructured formats, such as email, Web pages, Microsoft Office documents, and IBM Notes.',l:''},'ACI Server':{d:'A server component that runs on the Autonomy Content Infrastructure (ACI).',l:''},'ACL (access control list)':{d:'An ACL is metadata associated with a document that defines which users and groups are permitted to access the document.',l:''},'action':{d:'A request sent to an ACI server.',l:''},'active directory':{d:'A domain controller for the Microsoft Windows operating system, which uses LDAP to authenticate users and computers on a network.',l:''},'Category component':{d:'The IDOL Server component that manages categorization and clustering.',l:''},'Community component':{d:'The IDOL Server component that manages users and communities.',l:''},'compiled grammar':{d:'A grammar file that has been compiled from XML into ECR file format using the Eduction command-line tool edktool, so that Eduction can use it directly. \nSee also: XML, ECR file, grammar, standard grammar, user grammar.',l:''},'components':{d:'An attribute of a matched entity (a component of the single match), for example a topic or sentiment.',l:''},'connector':{d:'An IDOL component (for example File System Connector) that retrieves information from a local or remote repository (for example, a file system, database, or Web site).',l:''},'Connector Framework Server (CFS)':{d:'Connector Framework Server processes the information that is retrieved by connectors. Connector Framework Server uses KeyView to extract document content and metadata from over 1,000 different file types. When the information has been processed, it is sent to an IDOL Server or Distributed Index Handler (DIH).',l:''},'Content component':{d:'The IDOL Server component that manages the data index and performs most of the search and retrieval operations from the index.',l:''},'DAH (Distributed Action Handler)':{d:'DAH distributes actions to multiple copies of IDOL Server or a component. It allows you to use failover, load balancing, or distributed content.',l:''},'database':{d:'An IDOL server data pool that stores indexed information. The administrator can set up one or more databases, and specifies how data is fed to the databases. By default IDOL server contains the databases Profile, Agent, Activated, Deactivated, News and Archive.',l:''},'DIH (Distributed Index Handler)':{d:'DIH allows you to efficiently split and index extremely large quantities of data into multiple copies of IDOL Server or the Content component. DIH allows you to create a scalable solution that delivers high performance and high availability. It provides a flexible way to batch, route, and categorize the indexing of internal and external content into IDOL Server.',l:''},'ECR file':{d:'ECR is a proprietary format for grammar files that Eduction can easily read at runtime. You can write grammar files in XML, then use the Eduction command-line tool edktool to compile them into ECR format. \nSee also: XML, compiled grammar.',l:''},'edktool':{d:'A command-line tool for compiling and testing Eduction grammars.',l:''},'Eduction':{d:'The process of extracting entities (patterns of text) from documents.',l:''},'Eduction engine':{d:'The part of any Eduction component that processes text and performs extraction and redaction operations. You can access the engine by using the Eduction SDK, Eduction Server, or an IDOL ingestion component (CFS or IDOL NiFi Ingest).',l:''},'entity':{d:'In Eduction, an entity is a word, phrase, or block of information that the Eduction component can match and extract from documents. An entity can be a specific text string, such as a name, or it can be a pattern of text such as an address or phone number. You define the pattern in a grammar, which Eduction uses to find the entities in documents.',l:''},'extraction':{d:'Eduction extracts entities from documents based on the rules you have created in your dictionaries and grammars, and returns an XML list of matches, or adds the matches to the source document as new fields. \nSee also: XML, grammar, dictionary.',l:''},'field':{d:'Fields define different parts of content in IDOL documents, such as the title, content, and metadata information.',l:''},'grammar':{d:'In Eduction, a grammar is a pattern that defines an entity.',l:''},'headword':{d:'A word or short phrase that Eduction matches in an entity (for example, the name of a person or place).',l:''},'IDOL':{d:'The Intelligent Data Operating Layer (IDOL) Server, which integrates unstructured, semi-structured and structured information from multiple repositories through an understanding of the content. It delivers a real-time environment in which operations across applications and content are automated.',l:''},'IDOL Proxy component':{d:'An IDOL Server component that accepts incoming actions and distributes them to the appropriate subcomponent. IDOL Proxy also performs some maintenance operations to make sure that the subcomponents are running, and to start and stop them when necessary.',l:''},'IDX':{d:'A structured file format that can be indexed into IDOL server. You can use a connector to import files into this format or you can manually create IDX files.',l:''},'importing':{d:'After a document has been downloaded from the repository in which it is stored, it is imported to an IDX or XML file format. This process is called “importing”.',l:''},'index':{d:'The IDOL server data index contains document content and field information for analysis and retrieval.',l:''},'indexing':{d:'The process of storing data in IDOL server. IDOL server stores data in different field types (such as, index, numeric and ordinary fields). It is important to store data in appropriate field types to ensure optimized performance.',l:''},'Intellectual Asset Protection System (IAS)':{d:'An integrated security solution to protect your data. At the front end, authentication checks that users are allowed to access the system that contains the result data. At the back end, entitlement checking and authentication combine to ensure that query results contain only documents that the user is allowed to see, from repositories that the user has permission to access. For more information, refer to the IDOL Document Security Administration Guide.',l:''},'KeyView':{d:'The IDOL component that extracts data, including text, metadata, and subfiles from over 1,000 different file types. KeyView can also convert documents to HTML format for viewing in a Web browser.',l:''},'landmark':{d:'A value that identifies a particular entity, without being a part of the entity value. For example, the phrase \"Date of Birth\" is a landmark for an entity that extracts dates of birth.',l:''},'LDAP':{d:'Lightweight Directory Access Protocol. Applications can use LDAP to retrieve information from a server. LDAP is used for directory services (such as corporate email and telephone directories) and user authentication.\n\nSee also: active directory, primary domain controller.',l:''},'License Server':{d:'License Server enables you to license and run multiple IDOL solutions. You must have a  License Server on a machine with a known, static IP address.',l:''},'linguistic sentiment analysis (LSA)':{d:'See sentiment analysis.',l:''},'Lua':{d:'An embedded scripting language that you can use to write custom scripts to expand certain IDOL functionality.',l:''},'Luhn algorithm':{d:'A formula used to validate identification numbers, such as credit card numbers and social security numbers. The formula checks for errors by performing mathematical operations in the number to calculate a number that must agree with the final digit of the number.',l:''},'metadata':{d:'Data that describes and gives information about other data. For example, the metadata for a text document might include information about the author of the document, the date it was written, or a short summary.',l:''},'OmniGroupServer (OGS)':{d:'A server that manages access permissions for your users. It communicates with your repositories and IDOL Server to apply access permissions to documents.',l:''},'parsing':{d:'The process of analyzing text according to the rules of a formal grammar.',l:''},'pattern':{d:'A description of the entity you want to extract, which enables Eduction to produce a list of matches based on that pattern. Usually, a pattern specifies in general terms what a match looks like (for example, phone numbers), by using regular expressions. You can also use it to specify an exact list, but in this case you usually use headwords.\nSee also: entity, extraction, grammar, headword, regular expressions.',l:''},'polarity scoring':{d:'A number, usually between 0.50 and 1.50, that represents the strength of the sentiment in the matched phrase.',l:''},'post-processing script':{d:'A script that performs additional processing on matched entities. This script can validate matches (for example to calculate a checksum for an ID number), and discard matches if they do not meet the script requirements.',l:''},'precision':{d:'Precision is the percentage of extracted entities that are true entities. \nSee also: recall.',l:''},'primary domain controller':{d:'A server computer in a Microsoft Windows domain that controls various computer resources.\n\nSee also: active directory, LDAP.',l:''},'recall':{d:'The recall of an extraction is the percentage of matches that are actually returned, out of the total number of matches that should return in theory. \nSee also: precision.',l:''},'regular expressions':{d:'A string that allows you to define a particular string pattern in a concise format. Matching in Eduction uses regular expressions to define what you want to match.',l:''},'relevance':{d:'The similarity that a particular query result has to the initial query. IDOL Server assigns results a percentage relevance score according to how closely it matches the query criteria.',l:''},'sentiment analysis':{d:'A form of Eduction that identifies positive and negative sentiment in text.',l:''},'standard grammar':{d:'Eduction includes a set of standard grammars that allow you to extract the most common entities, such as person, place, or company names, legal terms, addresses, dates, and times. \nSee also: entity, compiled grammar, grammar, user grammar.',l:''},'tagging':{d:'The process of adding extra information to documents. The tag might be a category, or entities returned from Eduction. Tagging usually adds a field to a document, which you can use to search by the name of a tag.',l:''},'tokenization':{d:'The process of analyzing text to split it into tokens. \nSee Also: tokens',l:''},'tokens':{d:'IDOL Server stores document text as a series of tokens. Generally, a token is a word, but it can also include other strings of characters (such as a phone number or e-mail address).',l:''},'user grammar':{d:'XML files created by the user that describe entities that can locate patterns in text using the Eduction grammar language.',l:''},'View':{d:'An IDOL component that converts files in a repository to HTML formats for viewing in a Web browser.',l:''},'Wildcard':{d:'A character that stands in for any character or group of characters in a query.',l:''},'XML':{d:'Extensible Markup Language. XML is a language that defines the different attributes of document content in a format that can be read by humans and machines. In IDOL Server, you can index documents in XML format. IDOL Server also returns action responses in XML format.',l:''}});