define({"134":{y:0,u:"../Content/Reference/GrammarReference/Entity.htm",l:-1,t:"\u003centity\u003e",i:0.0080696406310623,a:"\u003centity\u003e Element: entity Child Elements:  \u003centry\u003e ,  \u003cpattern\u003e Description: Defines an entity that you can use for matching. Example: \u003centity name=\"entity1\" type=\"public\" case=\"insensitive\" extend=\"disallow\" debug=\"true\"\u003e"},"135":{y:0,u:"../Content/Reference/GrammarReference/Entry.htm",l:-1,t:"\u003centry\u003e",i:0.0106914996550121,a:"Element: entry Child Elements:  \u003cheadword\u003e ,  \u003csynonym\u003e Description: An entry represents an individual value that an entity matches. The entry has one or more attributes such as the actual phrase that returns (the headword), the case, and so on. Example:\u003centry headword=\"mat\" score=\".3\" ..."},"136":{y:0,u:"../Content/Reference/GrammarReference/Headword.htm",l:-1,t:"\u003cheadword\u003e",i:0.0042349313884506,a:"\u003cheadword\u003e Element: headword Child Elements: none Description: A headword is the exact sequence of characters that produce an entity match. Example: See example in  \u003centry\u003e ."},"137":{y:0,u:"../Content/Reference/GrammarReference/Synonym.htm",l:-1,t:"\u003csynonym\u003e",i:0.0042349313884506,a:"Element: synonym Child Elements: none Description: A synonym is an alternative sequence of characters to a headword. Synonym matching produces an entity match, but returns the headword in place of the matching synonym. For example, if you search for dog with the synonym canine enabled, matches for ..."},"138":{y:0,u:"../Content/Reference/GrammarReference/Pattern.htm",l:-1,t:"\u003cpattern\u003e",i:0.00349200198243973,a:"\u003cpattern\u003e Element: pattern Child Elements: none Description: Defines a pattern used for matching. Example: \u003cpattern score=\".1\" case=\"insensitive\" replace=\"replacechars\" insert_before=\"prefix_\" insert_after=\"_suffix\"\u003ecat\u003c/pattern\u003e"},"139":{y:0,u:"../Content/Reference/GrammarReference/RegEx.htm",l:-1,t:"Regular Expressions",i:0.00271045500132753,a:"This section describes the regular expressions syntax that Eduction supports. The Eduction engine parser interprets regular expression syntax nearly identically to the UNIX regular expression syntax. The regular expression syntax also includes some extensions for matching substrings. Operators The ..."},"140":{y:0,u:"../Content/Reference/GrammarReference/UnicodeCharacterClasses.htm",l:-1,t:"Supported Unicode Character Classes",i:0.0012055629447781,a:"This section lists the Unicode character classes that are supported by the regular expression engine. Use the one- or two-letter class name in your patterns. For example to match a currency symbol: \\p{Sc} The supported classes are: C - Other Cc - Control Cf - Format Co - PrivateUse Cs - Surrogate L ..."},"141":{y:0,u:"../Content/Reference/GrammarReference/EductionGrammarDTD.htm",l:-1,t:"Eduction Grammar DTD",i:0.00223029580569724,a:"The XML DTD describing the Eduction grammar (that is, edk.dtd) is as follows: \u003c!ELEMENT grammars (include*, grammar*)\u003e\n\u003c!ATTLIST grammars\nversion CDATA #IMPLIED\ncase (sensitive|insensitive|inherited) \"inherited\"\ndebug (true|false) \"false\"\n\u003e\n\u003c!ELEMENT include (publish*)\u003e\n\u003c!ATTLIST include\npath CDATA ..."},"142":{y:0,u:"../Content/Reference/edktool/edktoolOptions_intro.htm",l:-1,t:"edktool Command-Line Options",i:0.00243524237788107,a:"edktool Command-Line Options This section provides a reference for the command-line options that you can use with the edktool command-line tool."},"143":{y:0,u:"../Content/Reference/edktool/edktoolOptions.htm",l:-1,t:"edktool Options",i:0.0012055629447781,a:"This section describes how to use edktool to:  list the entities that exist in a grammar file. test and benchmark extraction. compile grammar files. To view a summary of the options you can use with edktool, run the following command:     edktool help The tool also provides more detailed help for ..."},"144":{y:0,u:"../Content/Reference/edktool/Assess.htm",l:-1,t:"Assess",i:0.00414065699715622,a:"This command assesses the performance and accuracy of an Eduction grammar against a set of pre-tagged examples.  You must supply a text file with one phrase on each line; the Assess feature checks whether each line contains a match. You must specify at least one input file, using the -v parameter or ..."},"145":{y:0,u:"../Content/Reference/edktool/Benchmarking.htm",l:-1,t:"Benchmark",i:0.00287039579436736,a:"This command runs edktool in benchmarking mode. This mode runs multiple concurrent extraction sessions, several times to test the performance of a grammar. Edktool reads the input document once, and feeds it into each session. It produces timing information after all runs are complete.  The ..."},"146":{y:0,u:"../Content/Reference/edktool/Compile.htm",l:-1,t:"Compile",i:0.00616371423561933,a:"This command creates a compiled Eduction grammar file. edktool c \u003cgrammarfile\u003e The following table lists the optional parameters for this command. When you compile a grammar,  the XML file must follow the Eduction syntax rules for grammar files. The ECR file is a proprietary format that is optimized ..."},"147":{y:0,u:"../Content/Reference/edktool/Extract.htm",l:-1,t:"Extract",i:0.00400522378831579,a:"This command extracts entities from a document. It can print the output to a file, or to the console. You can use this option to test your grammars. The following table describes the available parameters for this command. The extract option requires an input file (in  plain text format) and either a ..."},"148":{y:0,u:"../Content/Reference/edktool/ExtractOutputFormat.htm",l:-1,t:"XML Output Format",i:0.0012055629447781,a:"XML Output Format This section describes the XML output tags and attributes that edktool returns when you run the extract command with a plain text file. \u003cMATCH\u003e The details of a match. The following table lists the child elements that \u003cMATCH\u003e contains. \u003cCOMPONENT\u003e The details of a component."},"149":{y:0,u:"../Content/Reference/edktool/Generate.htm",l:-1,t:"Generate",i:0.00287039579436736,a:"This command generates an uncompiled XML source file from a plain text file.\n The plain text file must contain a list of headwords that you want to use to create a single entity. You cannot include patterns, synonyms, scoring, and so on in the plain text file.  The generate command creates a ..."},"150":{y:0,u:"../Content/Reference/edktool/Help.htm",l:-1,t:"Help",i:0.0012055629447781,a:"Help This command lists the valid edktool commands, with brief descriptions for each."},"151":{y:0,u:"../Content/Reference/edktool/List.htm",l:-1,t:"List",i:0.0012055629447781,a:"This command lists the entities in an uncompiled (source) XML Eduction grammar file or a compiled ECR grammar file. Listing the contents of an XML file lists all entities in the file, both private and public. Listing the contents of a compiled ECR file lists all public entities.  The compiled ..."},"152":{y:0,u:"../Content/Reference/edktool/Measure.htm",l:-1,t:"Measure",i:0.00247582414756697,a:"This command measures the precision and recall between extraction runs by comparing the expected results of entity extraction with the actual results. You create expected results once and keep them as a base reference for ongoing tests. You then generate actual results as required each time you ..."},"153":{y:0,u:"../Content/Reference/edktool/Permissions.htm",l:-1,t:"Permissions",i:0.0012055629447781,a:"Permissions This command reads any specified directory and returns a list of all compiled grammar files inside it that you can access using the specified license.  edktool p -d \u003cdirectory\u003e -l \u003clicencefile\u003e The following table describes the optional parameters for this command."},"154":{y:0,u:"../Content/Reference/edktool/Unify.htm",l:-1,t:"Unify",i:0.0012055629447781,a:"This command generates a grammar file that contains one or more combined entities. A combined entity is a single entity that combines the patterns for a predetermined set of entities. For example, in the PII grammar package there is an entity named pii/address/all that matches a postal address from ..."},"155":{y:0,u:"../Content/Reference/edktool/Validate.htm",l:-1,t:"Validate",i:0.0012055629447781,a:"This command validates an Eduction configuration. edktool v The following table lists the parameters for this command. The following example shows the output from a validate command on an invalid configuration file. Config file invalid\n[Eduction]\n//Referenced parameter configured with no ..."},"156":{y:0,u:"../Content/Reference/edktool/WildcardEdktool.htm",l:-1,t:"Wildcard Expressions in edktool",i:0.0097929996013348,a:"The -e and -g parameters in the  Generate ,  Compile ,  Assess ,  Extract  and  Benchmark  options in edktool support wildcard expressions. For example, if you want to use all of the available sentiment analysis files in the grammars directory, you can type -e \"grammars/sentiment_*.ecr\" instead of ..."},"157":{y:0,u:"../Content/Reference/EductionParameters.htm",l:-1,t:"Eduction Parameter Reference",i:0.00577563139980433,a:"This section lists the parameters that you can use in your Eduction configuration file.  You can use these parameters in the Eduction SDK either by creating an edk engine with an appropriate configuration file, or by using the API to set equivalent parameters after you create the engine. You can ..."},"158":{y:0,u:"../Content/Configuration/Eduction/_EDU_AllowDuplicates.htm",l:-1,t:"AllowDuplicates",i:0.0012055629447781,a:"The AllowDuplicates parameter is deprecated in Eduction version 12.5.0 and later. This parameter is still available for existing implementations, but it might be incompatible with new functionality. The parameter might be deleted in future. A list of document fields in which Eduction can write ..."},"159":{y:0,u:"../Content/Configuration/Eduction/_EDU_AllowMultipleResults.htm",l:-1,t:"AllowMultipleResults",i:0.00633631123993669,a:"This parameter specifies how many results to return, when Eduction finds multiple matches at the same offset (starting position) in the input text. Eduction returns only one result by default, but you can choose to return all of the matches or up to one per entity. Set this parameter to one of the ..."},"160":{y:0,u:"../Content/Configuration/Eduction/_EDU_AllowOverlaps.htm",l:-1,t:"AllowOverlaps",i:0.00554803327275166,a:"A Boolean value that specifies whether to return more than one match, when Eduction finds overlapping matches that start at different characters (offsets). To return overlapping matches set this parameter to  True. To specify whether to return overlapping matches that have the same offset, use the ..."},"161":{y:0,u:"../Content/Configuration/Eduction/_EDU_CantHaveFieldCSVs.htm",l:-1,t:"CantHaveFieldCSVs",i:0.0012055629447781,a:"The CantHaveFieldCSVs parameter is deprecated in Eduction version 12.5.0 and later. This parameter is still available for existing implementations, but it might be incompatible with new functionality. The parameter might be deleted in future. The names of fields that Eduction ignores when reading an ..."},"162":{y:0,u:"../Content/Configuration/Eduction/_EDU_CaseNormalization.htm",l:-1,t:"CaseNormalization",i:0.00493031192658184,a:"The case conversion to use for all incoming text. To improve performance, use this parameter to convert all text to lowercase or uppercase before attempting to match text. This parameter takes one of the following values: None. No case conversion. Lower. All incoming text is converted to lowercase. ..."},"163":{y:0,u:"../Content/Configuration/Eduction/_EDU_CaseNormalizationBehavior.htm",l:-1,t:"CaseNormalizationBehavior",i:0.00260250196244857,a:"CaseNormalizationBehavior The algorithm to use for case normalization. This parameter accepts one of the following values: Default. The default behavior. Turkic. Use this option with Turkic languages to ensure that case normalization performs correctly with the dotted and dotless \"i\" characters."},"164":{y:0,u:"../Content/Configuration/Eduction/_EDU_CaseSensitiveFieldName.htm",l:-1,t:"CaseSensitiveFieldName",i:0.00411510171113156,a:"CaseSensitiveFieldName Set CaseSensitiveFieldName to True to preserve the case of configured field names. In this case, the field names are case sensitive. Set CaseSensitiveFieldName to False to convert all field names to uppercase when Eduction produces matches."},"165":{y:0,u:"../Content/Configuration/Eduction/_EDU_CellEntityMatchLimitN.htm",l:-1,t:"CellEntityMatchLimitN",i:0.00590376615898055,a:"The maximum number of matches to return for the entities specified by the corresponding  CellEntityN  parameter. Eduction searches for cell entity matches in the columns that have a header that match the  HeaderEntityN  entities (up to  HeaderEntityMatchLimitN ). After Eduction finds this number of ..."},"166":{y:0,u:"../Content/Configuration/Eduction/_EDU_CellEntityN.htm",l:-1,t:"CellEntityN",i:0.010483149242743,a:"The entities to extract for the cell rows of input tables. This parameter allows you to extract entities from structured data. When matching CSV or TSV input, Eduction matches the first one or more non-empty row of input against the configured header entities (see  HeaderEntityN  and  ..."},"167":{y:0,u:"../Content/Configuration/Eduction/_EDU_CJKNormalization.htm",l:-1,t:"CJKNormalization",i:0.0012055629447781,a:"This parameter allows you to specify how to normalize Chinese, Japanese, and Korean data before extraction.\n         You can set the following values: Kana. Normalize half width kana to full width kana.\n         OldNew. Normalize old kanji to new kanji.\n         Number. Normalize Chinese or kanji ..."},"168":{y:0,u:"../Content/Configuration/Eduction/_EDU_Databases.htm",l:-1,t:"Databases",i:0.0012055629447781,a:"The Databases parameter is deprecated in Eduction version 12.5.0 and later. This parameter is still available for existing implementations, but it might be incompatible with new functionality. The parameter might be deleted in future. The names of the databases to which a document belongs. Eduction ..."},"169":{y:0,u:"../Content/Configuration/Eduction/_EDU_DocumentDelimiterCSVs.htm",l:-1,t:"DocumentDelimiterCSVs",i:0.0012055629447781,a:"The DocumentDelimiterCSVs parameter is deprecated in Eduction version 12.5.0 and later. This parameter is still available for existing implementations, but it might be incompatible with new functionality. The parameter might be deleted in future. The fields in an XML file that mark the start and end ..."},"170":{y:0,u:"../Content/Configuration/Eduction/_EDU_EnableComponents.htm",l:-1,t:"EnableComponents",i:0.0119804840649226,a:"EnableComponents Set this parameter to  False to return only the entity. Set it to  True to return the entity and all the components of the entity. This parameter requires OutputSimpleMatchInfo to be set to  False."},"171":{y:0,u:"../Content/Configuration/Eduction/_EDU_EnableUniqueMatches.htm",l:-1,t:"EnableUniqueMatches",i:0.00634347171973568,a:"Set EnableUniqueMatches to True to return only a single occurrence of a particular value. In this case, two EntityN definitions cannot return the same value, even if they use different patterns. If the same value occurs more than once, Eduction returns only the first instance, even if the matches ..."},"172":{y:0,u:"../Content/Configuration/Eduction/_EDU_Entities.htm",l:-1,t:"Entities",i:0.00647191215648828,a:"A list of entities that you want to modify using the post-processing script. If you do not set this parameter, you can use the script to modify the matches for every entity.  You can separate multiple entities with a comma, and you can use wildcard expressions. The asterisk (*) wildcard matches any ..."},"173":{y:0,u:"../Content/Configuration/Eduction/_EDU_EntityAdvancedFieldN_.htm",l:-1,t:"EntityAdvancedFieldN",i:0.0012055629447781,a:"A comma-separated list of advanced fields to return,  associated with the entities specified by the  EntityN  parameter. \n         To use this option you must:\n         set OutputSimpleMatchInfo to  False for edktool.\n set EnableComponents to  True for edktool.\n         define components in the ..."},"174":{y:0,u:"../Content/Configuration/Eduction/_EDU_EntityComponentFieldN.htm",l:-1,t:"EntityComponentFieldN",i:0.00179728732358441,a:"A comma-separated list of entity components that you want to return as fields,  associated with the entities specified by the  EntityN  parameter. \n         To use this option you must:\n         set OutputSimpleMatchInfo to  False for edktool.\n set EnableComponents to  True for edktool.\n         ..."},"175":{y:0,u:"../Content/Configuration/Eduction/_EDU_EntityFieldN.htm",l:-1,t:"EntityFieldN",i:0.0113886572819193,a:"A comma-separated list of document fields to associate with the entities specified by the  EntityN  or  CellEntityN  parameter. When a document contains particular entities, Eduction saves the associated text in the fields that you specify in this parameter. The entity field number  N must match the ..."},"176":{y:0,u:"../Content/Configuration/Eduction/_EDU_EntityMatchLimitN.htm",l:-1,t:"EntityMatchLimitN",i:0.00141050951696193,a:"The maximum number of matches to return for the entities specified by the corresponding  EntityN  parameter. When Eduction reaches the limit it stops searching for those entities, so no further matches are returned and Eduction does not spend time looking for them. If the EntityN parameter specifies ..."},"177":{y:0,u:"../Content/Configuration/Eduction/_EDU_EntityMatchRangeN.htm",l:-1,t:"EntityMatchRangeN",i:0.0012055629447781,a:"A range of matching instances of the entity that you want to return. The entity match range number  N must match the corresponding  EntityN  number. Specify the matches to return as a comma separated list, for example 1,2,3,5,7. You can also specify a range with a hyphen, for example 1-3,5,7."},"178":{y:0,u:"../Content/Configuration/Eduction/_EDU_EntityMinScoreN.htm",l:-1,t:"EntityMinScoreN",i:0.00568466466595245,a:"The minimum score that a match for the corresponding  EntityN  must have for it to return. The lowest possible score is 0. The upper limit varies depending on the entity.  Set a higher minimum score to indicate that matches must meet a higher confidence level to return. Eduction applies the minimum ..."},"179":{y:0,u:"../Content/Configuration/Eduction/_EDU_EntityN.htm",l:-1,t:"EntityN",i:0.0221167243428447,a:"A comma-separated list of entities to extract. Entities are defined in the grammar file that you set in the  ResourceFiles  parameter. Replace  N with the zero-based rank of the entity. You must associate each entity with a field by setting  EntityFieldN .\n         You cannot use the entity name ..."},"180":{y:0,u:"../Content/Configuration/Eduction/_EDU_EntitySearchFieldsN.htm",l:-1,t:"EntitySearchFieldsN",i:0.00897930452831366,a:"The document fields to search for the corresponding  EntityN  entity.  Use this parameter if you want to search a different set of fields for this entity than the fields you set in  SearchFields . If you do not set EntitySearchFieldsN, Eduction searches the fields specified by  SearchFields ."},"181":{y:0,u:"../Content/Configuration/Eduction/_EDU_EntityZoneN.htm",l:-1,t:"EntityZoneN",i:0.0121911401295813,a:"Associates an  EntityN  entity with one or more zones that you define by using  ZoneStartN  and  ZoneEndN . Set EntityZoneN the number of the  ZoneStartN  and  ZoneEndN  parameters to associate with the  EntityN . Eduction searches for the entity in the specified zones. The entity zone number  N ..."},"182":{y:0,u:"../Content/Configuration/Eduction/_EDU_Exclusion.htm",l:-1,t:"Exclusion",i:0.0012055629447781,a:"Set Exclusion to  True to specify that you want to discard any previous pre-filter windows that match the associated pre-filter  Regex  or  ResourceFile  parameter. Eduction runs your pre-filter tasks in the configured order. You can use an Exclusion to exclude match windows that were found by a ..."},"183":{y:0,u:"../Content/Configuration/Eduction/_EDU_HeaderEntityMatchLimitN.htm",l:-1,t:"HeaderEntityMatchLimitN",i:0.00579759787481534,a:"The maximum number of columns to match with the entities specified by the corresponding  HeaderEntityN  parameter. After Eduction finds this number of columns with headers that match the header entities, it stops searching subsequent columns, so Eduction does not spend time looking for further ..."},"184":{y:0,u:"../Content/Configuration/Eduction/_EDU_HeaderEntityN.htm",l:-1,t:"HeaderEntityN",i:0.00984197017803641,a:"The entities to extract for the header rows of input tables. This parameter allows you to extract entities from structured data. When matching CSV or TSV input, Eduction matches the first non-empty row of input against these configured header entities. You can use this to extract landmark values ..."},"185":{y:0,u:"../Content/Configuration/Eduction/_EDU_InvalidRegexAfterMatch.htm",l:-1,t:"InvalidRegexAfterMatch",i:0.0012055629447781,a:"A regular expression that cannot form part of the valid match for a pre-filter.  When Eduction runs a pre-filter task, it finds a potential match and creates a match window by selecting characters before and after the potential match (you configure the size of the match window by using  ..."},"186":{y:0,u:"../Content/Configuration/Eduction/_EDU_InvalidRegexBeforeMatch.htm",l:-1,t:"InvalidRegexBeforeMatch",i:0.0012055629447781,a:"A regular expression that cannot form part of the valid match for a pre-filter.  When Eduction runs a pre-filter task, it finds a potential match and creates a match window by selecting characters before and after the potential match (you configure the size of the match window by using  ..."},"187":{y:0,u:"../Content/Configuration/Eduction/_EDU_LanguageDirectory.htm",l:-1,t:"LanguageDirectory",i:0.00803626324342817,a:"LanguageDirectory The path of an IDOL Server language directory that contains the relevant sentence breaking libraries and associated data files.  This parameter enables tokenization of Chinese, Japanese, Korean, and Thai languages."},"188":{y:0,u:"../Content/Configuration/Eduction/_EDU_Locale.htm",l:-1,t:"Locale",i:0.00803626324342817,a:"The locale to use to tokenize the input text.  By default, Eduction uses an English tokenizer. You can set Locale to one of the following values to enable tokenization for Chinese, Japanese, Korean, and Thai: CHI JPN KOR THA The Eduction standard grammar files are developed without this setting. ..."},"189":{y:0,u:"../Content/Configuration/Eduction/_EDU_MatchCase.htm",l:-1,t:"MatchCase",i:0.0043382807336554,a:"Set this parameter to  False to ignore case when matching characters.  By default, Eduction is case sensitive when matching characters, which improves the performance of matching. You can use MatchCase to turn off all case sensitivity in matching.  You can also use case attributes in your grammars ..."},"190":{y:0,u:"../Content/Configuration/Eduction/_EDU_MatchTimeout.htm",l:-1,t:"MatchTimeout",i:0.00866434444036751,a:"The maximum time to spend searching for matches (to all chosen entities) at a particular offset. You can specify the timeout in seconds and fractional seconds (for example 5.5 means five and a half seconds). After it reaches the timeout, Eduction returns the best match it has found (if any) and ..."},"191":{y:0,u:"../Content/Configuration/Eduction/_EDU_MatchWholeWord.htm",l:-1,t:"MatchWholeWord",i:0.0171005010349641,a:"Set MatchWholeWord to  True to match only terms in the text that begin and end on a whole word boundary. Set MatchWholeWord to  False to match terms that start and end anywhere, including in the middle of a word in the text. For example, when MatchWholeWord=True, a search for the term 80 does not ..."},"192":{y:0,u:"../Content/Configuration/Eduction/_EDU_MaxEntityLength.htm",l:-1,t:"MaxEntityLength",i:0.0012055629447781,a:"MaxEntityLength The maximum number of characters in a returned entry.\n         Reducing this number can assist performance by preventing Eduction from scanning a long string of text for an entity that is expected to be small.\n"},"193":{y:0,u:"../Content/Configuration/Eduction/_EDU_MaxMatchesPerDoc.htm",l:-1,t:"MaxMatchesPerDoc",i:0.00200997870614973,a:"MaxMatchesPerDoc The maximum number of matches to allow in each document. \n        "},"194":{y:0,u:"../Content/Configuration/Eduction/_EDU_MaxSearchHeaderRow.htm",l:-1,t:"MaxSearchHeaderRow",i:0.00799526565056709,a:"In table mode, MaxSearchHeaderRow is the maximum number of rows to search a table for the  HeaderEntityN  entities.  By default, Eduction searches only the first row of a table for the configured header entities. Set MaxSearchHeaderRow to a higher number of rows to allow Eduction to search ..."},"195":{y:0,u:"../Content/Configuration/Eduction/_EDU_MinScore.htm",l:-1,t:"MinScore",i:0.00507646780588059,a:"The minimum score that a match must have for Eduction to return it. The lowest possible score is 0. The upper limit varies depending on the entity. Set a higher minimum score to indicate that matches must meet a higher confidence level to return. This parameter applies to all entities. You can also ..."},"196":{y:0,u:"../Content/Configuration/Eduction/_EDU_NonGreedyMatch.htm",l:-1,t:"NonGreedyMatch",i:0.00573462023756847,a:"Set NonGreedyMatch to True to configure Eduction to return the shortest match that it finds. In this case, when Eduction finds two matches that start at the same word, from two different entities, Eduction returns only the shortest match. Setting NonGreedyMatch to True implicitly turns off  ..."},"197":{y:0,u:"../Content/Configuration/Eduction/_EDU_NumTasks.htm",l:-1,t:"NumTasks",i:0.00141031723423055,a:"The NumTasks parameter is deprecated for Eduction version 12.5.0 and later. Use the  PostProcessingTaskN  parameter to define your post-processing tasks. In this case, Eduction automatically calculates the number of tasks. The NumTasks parameter is still available for existing implementations, but ..."},"198":{y:0,u:"../Content/Configuration/Eduction/_EDU_OutputScores.htm",l:-1,t:"OutputScores",i:0.0012055629447781,a:"The OutputScores parameter is deprecated in Eduction version 12.5.0 and later. This parameter is still available for existing implementations, but it might be incompatible with new functionality. The parameter might be deleted in future. Set OutputScores to  True to include the score associated with ..."},"199":{y:0,u:"../Content/Configuration/Eduction/_EDU_OutputSimpleMatchInfo.htm",l:-1,t:"OutputSimpleMatchInfo",i:0.0119804840649226,a:"The OutputSimpleMatchInfo parameter is deprecated in Eduction version 12.5.0 and later. This parameter is still available for existing implementations, but it might be incompatible with new functionality. The parameter might be deleted in future. Set OutputSimpleMatchInfo to  True to generate basic ..."},"200":{y:0,u:"../Content/Configuration/Eduction/_EDU_PostProcessingTaskN.htm",l:-1,t:"PostProcessingTaskN",i:0.00789287648789593,a:"The name of an Eduction post-processing task to run.  This parameter specifies the name of a section in the Eduction configuration file that contains the parameters required to run the task. To run multiple tasks, use numbered parameters (PostProcessingTask0,PostProcessingTask1, and so on). You can ..."},"201":{y:0,u:"../Content/Configuration/Eduction/_EDU_PostProcessThreshold.htm",l:-1,t:"PostProcessThreshold",i:0.0031327583296055,a:"The [PostProcessingTasks] configuration section is deprecated for Eduction version 12.5 and later. Set PostProcessThreshold in the [Eduction] section. The [PostProcessingTasks] section is still available for existing implementations, but it might be incompatible with new functionality. The parameter ..."},"202":{y:0,u:"../Content/Configuration/Eduction/_EDU_PreFilterMaxReturnedBytes.htm",l:-1,t:"PreFilterMaxReturnedBytes",i:0.0012055629447781,a:"The maximum number of bytes that a pre-filter task can produce without a resulting Eduction match.  The pre-filter process generates windows with potential matches, based on your pre-filter criteria. Eduction runs matching on these windows as soon as the pre-filter generates them. ..."},"203":{y:0,u:"../Content/Configuration/Eduction/_EDU_PreFilterTaskN.htm",l:-1,t:"PreFilterTaskN",i:0.00223029580569724,a:"The name of an Eduction pre-filtering task to run. This parameter specifies the name of a section in the Eduction configuration file that contains the parameters required to run the task. Replace the value N with the number of the task, starting from zero (PreFilterTask0, PreFilterTask1, and so on) ..."},"204":{y:0,u:"../Content/Configuration/Eduction/_EDU_ProcessEnMasse.htm",l:-1,t:"ProcessEnMasse",i:0.00665873401074619,a:"Set ProcessEnMasse to  True to use the entire set of educed matches as input for your post-processing script, rather than a single match. This option enables your script to look at all the matches at once and modify them accordingly. For example, to increase the score of a match if it is found near ..."},"205":{y:0,u:"../Content/Configuration/Eduction/_EDU_RedactedOutput.htm",l:-1,t:"RedactedOutput",i:0.0012055629447781,a:"Set RedactedOutput to  True to redact sensitive information in the output text.\n         You can also set one of  RedactionOutputString  or  RedactionReplacementCharacter . If you do not set either parameter, the default behavior is to replace redacted text with [redacted] in the output. If you ..."},"206":{y:0,u:"../Content/Configuration/Eduction/_EDU_RedactionOutputString.htm",l:-1,t:"RedactionOutputString",i:0.0137285134923032,a:"RedactionOutputString A string that replaces redacted information in the output text.\n"},"207":{y:0,u:"../Content/Configuration/Eduction/_EDU_RedactionReplacementChar.htm",l:-1,t:"RedactionReplacementCharacter",i:0.0137285134923032,a:"RedactionReplacementCharacter A single character that replaces each character in redacted text.\n"},"208":{y:0,u:"../Content/Configuration/Eduction/_EDU_RedactionType.htm",l:-1,t:"RedactionType",i:0.0012055629447781,a:"The method to use for replacing text when you use redaction. You can use one of the following options:  Normalize. Replace a match with the normalized form of the text. For example, you could replace a match ten to nine twenty third of June with the normalized version 8:50 23rd of June. Replace. ..."},"209":{y:0,u:"../Content/Configuration/Eduction/_EDU_Regex.htm",l:-1,t:"Regex",i:0.00714097212264422,a:"A regular expression to use to find potential matches in your input text.  Eduction uses the configured Regex to run an initial check to find potential matches in your input text. It then creates a match window by selecting characters before and after the potential match, and uses your grammar to ..."},"210":{y:0,u:"../Content/Configuration/Eduction/_EDU_RequestTimeout.htm",l:-1,t:"RequestTimeout",i:0.00877432210621886,a:"The maximum time to spend processing a single input file or document. You can specify the timeout in seconds and fractional seconds (for example 5.5 means five and a half seconds).  After it reaches the timeout, Eduction stops processing and returns any results that were found. In most cases ..."},"211":{y:0,u:"../Content/Configuration/Eduction/_EDU_ResourceFile.htm",l:-1,t:"ResourceFile",i:0.00235326468010774,a:"The full path to a JSON file that contains a dictionary of terms to use to find potential matches in your input text.  Eduction uses the terms in the configured file to run an initial check to find potential matches in your input text. It then creates a match window by selecting characters before ..."},"212":{y:0,u:"../Content/Configuration/Eduction/_EDU_ResourceFiles.htm",l:-1,t:"ResourceFiles",i:0.0057932284500408,a:"The full path to a compiled ECR file that contains Eduction grammar entries. You must specify at least one resource file. You can specify multiple resource files by separating them with commas, or by using wildcard expressions. You can use the * wildcard to match any number of characters, or the ? ..."},"213":{y:0,u:"../Content/Configuration/Eduction/_EDU_Script.htm",l:-1,t:"Script",i:0.00704773675237772,a:"Script The path to the Lua post-processing script to run to process the data that the Eduction engine returns.  See  Post-Processing  for more information."},"214":{y:0,u:"../Content/Configuration/Eduction/_EDU_SearchFields.htm",l:-1,t:"SearchFields",i:0.00374975688098721,a:"The SearchFields parameter is deprecated in Eduction version 12.6.0 and later. This parameter is still available for existing implementations, but it might be incompatible with new functionality. The parameter might be deleted in future. A comma-separated list of fields to search for entities, for ..."},"215":{y:0,u:"../Content/Configuration/Eduction/_EDU_SuppressMatchLogging.htm",l:-1,t:"SuppressMatchLogging",i:0.0012055629447781,a:"Set SuppressMatchLogging to  True to suppress log entries for every entity  and zone pattern  found in a document.\n         When you have set logging to Full in the Eduction configuration file,  Eduction  records a log entry for every entity  and zone pattern  that it finds  in a document . You can ..."},"216":{y:0,u:"../Content/Configuration/Eduction/_EDU_TangibleCharacters.htm",l:-1,t:"TangibleCharacters",i:0.0163661988522971,a:"A list of punctuation characters to treat as part of the word, rather than as word boundaries. By default, Eduction treats almost all punctuation characters as word boundaries.\n         You cannot specify spaces, returns, and tabs as TangibleCharacters.  This parameter has no effect when  ..."},"217":{y:0,u:"../Content/Configuration/Eduction/_EDU_TaskN.htm",l:-1,t:"TaskN",i:0.00144531793994286,a:"The TaskN parameter is deprecated for Eduction version 12.5.0 and later. Use the  PostProcessingTaskN  parameter in the [Eduction] section. The TaskN parameter is still available for existing implementations, but it might be incompatible with new functionality. The parameter might be deleted in ..."},"218":{y:0,u:"../Content/Configuration/Eduction/_EDU_TokenWithPunctuation.htm",l:-1,t:"TokenWithPunctuation",i:0.0206572680600312,a:"Set TokenWithPunctuation to True to treat all punctuation characters as part of a word token, rather than treating them as word boundaries. This option is equivalent to setting  TangibleCharacters  to all punctuation characters. This parameter has no effect when  MatchWholeWord   is set to  False.\n ..."},"219":{y:0,u:"../Content/Configuration/Eduction/_EDU_ValidatePostProcessingTasks.htm",l:-1,t:"ValidatePostProcessingTasks",i:0.0012055629447781,a:"Set ValidatePostProcessingTasks to False to skip post-processing entity validation when an Eduction engine starts.  By default, when Eduction starts a new engine, it checks that the configured entities are present in the loaded grammar files. You might want to skip this step when you have a stable ..."},"220":{y:0,u:"../Content/Configuration/Eduction/_EDU_WindowCharsAfterMatch.htm",l:-1,t:"WindowCharsAfterMatch",i:0.00844882029954059,a:"The minimum number of UTF-8 characters to include in the matching window when Eduction finds a potential match.  Eduction uses the configured  Regex  to run an initial check to find potential matches in your input text. It then creates a match window by selecting characters before and after the ..."},"221":{y:0,u:"../Content/Configuration/Eduction/_EDU_WindowCharsBeforeMatch.htm",l:-1,t:"WindowCharsBeforeMatch",i:0.00844882029954059,a:"The number of UTF-8 characters to include in the matching window when Eduction finds a potential match.  Eduction uses the configured  Regex  to run an initial check to find potential matches in your input text. It then creates a match window by selecting characters before and after the potential ..."},"222":{y:0,u:"../Content/Configuration/Eduction/_EDU_ZoneEndN.htm",l:-1,t:"ZoneEndN",i:0.00697872773277637,a:"A regular expression that defines the end point of a zone. A zone is a section of a field defined by a start and end pattern. Zones locate entities in parts of a field. If you do not add zone entries, Eduction searches the entire field. If you do not set the end pattern, the search begins at a match ..."},"223":{y:0,u:"../Content/Configuration/Eduction/_EDU_ZoneStartN.htm",l:-1,t:"ZoneStartN",i:0.00697872773277637,a:"A regular expression that defines the start point of a zone. A zone is a section of a field defined by a start and end pattern. Zones locate entities in parts of a field. If you do not add zone entries, Eduction searches the entire field. If you do not set the start pattern, the search begins at the ..."},"224":{y:0,u:"../Content/Reference/LuaMethods/Eduction_Lua_Methods.htm",l:-1,t:"Eduction Lua Methods Reference",i:0.00269739103904548,a:"This section describes the methods you can use in your Lua post-processing scripts. The Eduction SDK allows you to use all standard IDOL Lua functions and methods. Most of these functions and methods are not relevant to Eduction, but in some cases you might find the general functions useful.  For ..."},"225":{y:0,u:"../Content/Reference/LuaMethods/edkcomponent.htm",l:-1,t:"edkComponent Methods",i:0.0012055629447781,a:"edkComponent Methods The following methods are available on edkComponent objects. You can obtain an edkComponent object using the  getComponent  method of an  edkmatch  object."},"226":{y:0,u:"../Content/Reference/LuaMethods/getMatchedOffset_component.htm",l:-1,t:"getMatchedOffset",i:0.00127387846883938,a:"getMatchedOffset Provides information on where in a document a particular component is found. Syntax edkcomponent:getMatchedOffset() Returns The position of the component, in bytes from the beginning of the original match text buffer. "},"227":{y:0,u:"../Content/Reference/LuaMethods/getMatchedOffsetLength_component.htm",l:-1,t:"getMatchedOffsetLength",i:0.00127387846883938,a:"getMatchedOffsetLength Provides information on where in a document a particular component is found.  Syntax edkcomponent:getMatchedOffsetLength() Returns The position of the component, in characters from the beginning of the original match text buffer. "},"228":{y:0,u:"../Content/Reference/LuaMethods/getMatchedText_component.htm",l:-1,t:"getMatchedText",i:0.00127387846883938,a:"getMatchedText Returns the input text for a particular component, that is, the text before any normalization or modification that occurs as part of the extraction process. Syntax edkcomponent:getMatchedText() Returns The input text for the component match. "},"229":{y:0,u:"../Content/Reference/LuaMethods/getMatchLength_component.htm",l:-1,t:"getMatchLength",i:0.00235667983557734,a:"getMatchLength Provides information on the size of a particular component match. Syntax edkcomponent:getMatchLength() Returns The size of the component matched text, in characters. "},"230":{y:0,u:"../Content/Reference/LuaMethods/getMatchSize_component.htm",l:-1,t:"getMatchSize",i:0.00235667983557734,a:"getMatchSize Provides information on the size of a particular component match. Syntax edkcomponent:getMatchSize() Returns The size of the component matched text, in bytes. "},"231":{y:0,u:"../Content/Reference/LuaMethods/getName.htm",l:-1,t:"getName",i:0.0123746561660138,a:"getName Retrieves the name of a component. Syntax edkcomponent:getName() Returns The component name. You can use  setName  to edit the component name."},"232":{y:0,u:"../Content/Reference/LuaMethods/getOffset_component.htm",l:-1,t:"getOffset",i:0.00127387846883938,a:"getOffset Provides information on where in a document a particular component is found. Syntax edkcomponent:getOffset() Returns The position of the component, in bytes from the beginning of the normalized match text buffer. "},"233":{y:0,u:"../Content/Reference/LuaMethods/getOffsetLength_component.htm",l:-1,t:"getOffsetLength",i:0.00127387846883938,a:"getOffsetLength Provides information on where in a document a particular component is found.  Syntax edkcomponent:getOffsetLength() Returns The position of the component, in characters from the beginning of the normalized match text buffer. "},"234":{y:0,u:"../Content/Reference/LuaMethods/getText.htm",l:-1,t:"getText",i:0.0123746561660138,a:"getText Returns the normalized output text matched by a particular component.  Syntax edkcomponent:getText() Returns The matched text for a specified component. You can use  setText  to edit the text."},"235":{y:0,u:"../Content/Reference/LuaMethods/setMatchLength_component.htm",l:-1,t:"setMatchLength",i:0.00127387846883938,a:"setMatchLength Modifies the size of a component match. Syntax edkcomponent:getMatchLength(new_length) Arguments Returns The new length of the component matched text, in characters.  Related Topics getMatchLength"},"236":{y:0,u:"../Content/Reference/LuaMethods/setMatchSize_component.htm",l:-1,t:"setMatchSize",i:0.00127387846883938,a:"setMatchSize Modifies the size of a component match. Syntax edkcomponent:setMatchLength(new_size) Arguments Returns The new size of the component matched text, in bytes.  Related Topics getMatchSize"},"237":{y:0,u:"../Content/Reference/LuaMethods/setName.htm",l:-1,t:"setName",i:0.0123746561660138,a:"setName Edits the name of the component that you retrieved with  getName . Syntax edkcomponent:setName(new_name) Arguments Returns The new component name."},"238":{y:0,u:"../Content/Reference/LuaMethods/setText.htm",l:-1,t:"setText",i:0.0123746561660138,a:"setText Modifies the normalized text matched by a particular component that you retrieved with  getText . Syntax edkcomponent:setText(new_text) Arguments Returns The new matched text for the specified component."},"239":{y:0,u:"../Content/Reference/LuaMethods/edkenmassematch.htm",l:-1,t:"edkEnMasseMatch Methods",i:0.0012055629447781,a:"An edkEnMasseMatch object represents a match that is being processed in an en-masse post-processing task. You cannot manipulate the match directly; instead you call the  getMatch  method to obtain an  edkmatch  object. The following methods are available on edkEnMasseMatch objects."},"240":{y:0,u:"../Content/Reference/LuaMethods/getMatch.htm",l:-1,t:"getMatch",i:0.00146174616000789,a:"Returns an  edkmatch  object that you can use to manipulate the match. Syntax edkEnMasseMatch:getMatch() Returns An  edkmatch  object. Example The following example Lua script uses the getMatch method to obtain an edkmatch object: function processmatches(matches)\n    -- example that discards matches ..."},"241":{y:0,u:"../Content/Reference/LuaMethods/getOutput.htm",l:-1,t:"getOutput",i:0.00146174616000789,a:"getOutput Returns whether the match is included in the results. Syntax edkEnMasseMatch:getOutput() Returns Boolean. True if the match is going to be included in the results, or false if it is going to be discarded."},"242":{y:0,u:"../Content/Reference/LuaMethods/setOutput.htm",l:-1,t:"setOutput",i:0.00146174616000789,a:"Sets  whether to include the match in the results. Syntax edkEnMasseMatch:setOutput(output) Arguments Example The following script uses the setOutput method to discard matches with a score less than 0.5: function processmatches(matches)\n    -- example that discards matches with score \u003c 0.5\n    for ..."},"243":{y:0,u:"../Content/Reference/LuaMethods/edkmatch.htm",l:-1,t:"edkMatch Methods",i:0.00277255144180887,a:"The following methods are available on edkMatch objects. Method Description addComponent Adds a new component to the match. getComponent Returns a specific component. getComponentCount Returns the total number of components in a match. getContribution Returns a specific scoring contribution. ..."},"244":{y:0,u:"../Content/Reference/LuaMethods/LuaEdkMatch_new.htm",l:-1,t:"LuaEdkMatch:new",i:0.00133648963346096,a:"The constructor for a LuaEdkMatch object (creates a new LuaEdkMatch object). Syntax LuaEdkMatch:new() or LuaEdkMatch:new(entity_name, matched_text, offset) Arguments You can use this constructor without arguments to create a match without values set. However, to reduce the amount of repeated code, ..."},"245":{y:0,u:"../Content/Reference/LuaMethods/addComponent.htm",l:-1,t:"addComponent",i:0.00133648963346096,a:"Adds a new component to the match. For example, if your Eduction task returns an email address as a match, you can use addComponent to extract the text after the @ symbol and add it as a DOMAIN component for the match. You can also use addComponent to add metadata from other sources. For example, if ..."},"246":{y:0,u:"../Content/Reference/LuaMethods/getComponent.htm",l:-1,t:"getComponent",i:0.00140480515752224,a:"The getComponent method returns a specified component object. The components are zero-indexed. For example, if you have six components, you can get the last component by using edkmatch:getComponent(5). Syntax edkmatch:getComponent(index) Arguments Returns The component object at the specified index ..."},"247":{y:0,u:"../Content/Reference/LuaMethods/getComponentCount.htm",l:-1,t:"getComponentCount",i:0.00133648963346096,a:"getComponentCount Returns the total number of components in a match. Syntax edkmatch:getComponentCount() Returns The number of components."},"248":{y:0,u:"../Content/Reference/LuaMethods/getContribution.htm",l:-1,t:"getContribution",i:0.00247251085506652,a:"Returns a specified scoring contribution. The final score for a match (as retrieved through the  getScore  method) can be the product of multiple scoring contributions. For some entities the score is then normalized (for example so that it is always a value between 0 and 1). Syntax ..."},"249":{y:0,u:"../Content/Reference/LuaMethods/getContributionsCount.htm",l:-1,t:"getContributionsCount",i:0.00133648963346096,a:"Returns the number of scoring contributions, that contributed to the score for the match. Syntax edkmatch:getContributionsCount() Returns The number of scoring contributions. Example For an example that demonstrates how to obtain scoring contributions, see the example for the  getContribution  ..."},"250":{y:0,u:"../Content/Reference/LuaMethods/getEntityName.htm",l:-1,t:"getEntityName",i:0.00890898319088788,a:"getEntityName Gets an entity name from a match. Syntax edkmatch:getEntityName() Returns The name of the entity in a match. You can use  setEntityName  to edit the name."},"251":{y:0,u:"../Content/Reference/LuaMethods/getMatchedText.htm",l:-1,t:"getMatchedText",i:0.00890898319088788,a:"Returns the input text for a particular match, that is, the text before any normalization or modification that occurs as part of the extraction process. Syntax edkmatch:getMatchedText() Returns The input text for a match. You can use  setMatchedText  to edit the text. Related Topics getOutputText"},"252":{y:0,u:"../Content/Reference/LuaMethods/getOffset.htm",l:-1,t:"getOffset",i:0.00890898319088788,a:"getOffset Provides information on where in a document a particular match is found. Syntax edkmatch:getOffset() Returns The position of the match, in bytes from the beginning of the text buffer. You can use  setOffset  to edit this information."},"253":{y:0,u:"../Content/Reference/LuaMethods/getOffsetLength.htm",l:-1,t:"getOffsetLength",i:0.00133648963346096,a:"getOffsetLength Provides information on where in a document a particular match is found.  Syntax edkmatch:getOffsetLength() Returns The position of the match, in characters from the beginning of the text buffer. You can use  setOffsetLength  to edit this information."},"254":{y:0,u:"../Content/Reference/LuaMethods/getOutputText.htm",l:-1,t:"getOutputText",i:0.00890898319088788,a:"Returns the output text for a match; that is, the text after any normalization or modification that takes place as part of the extraction process. Syntax edkmatch:getOutputText() Returns The output text of a match. You can use  setOutputText  to edit the text. Related Topics getMatchedText"},"255":{y:0,u:"../Content/Reference/LuaMethods/getScore.htm",l:-1,t:"getScore",i:0.0164814767483148,a:"getScore Retrieves the score for a match. Syntax edkmatch:getScore() Returns The score for the match. You can use  setScore  to edit the score."},"256":{y:0,u:"../Content/Reference/LuaMethods/setEntityName.htm",l:-1,t:"setEntityName",i:0.00890898319088788,a:"setEntityName Modifies the name of the entity that you retrieved by using  getEntityName . Syntax edkmatch:setEntityName(new_name) Arguments Returns The new entity name."},"257":{y:0,u:"../Content/Reference/LuaMethods/setMatchedText.htm",l:-1,t:"setMatchedText",i:0.00890898319088788,a:"Modifies the input text that you retrieved by using  getMatchedText . The input text is the text before any normalization or modification that takes place as part of the extraction process. By contrast,  setOutputText  enables you to modify the output text after any changes. Syntax ..."},"258":{y:0,u:"../Content/Reference/LuaMethods/setOffset.htm",l:-1,t:"setOffset",i:0.00890898319088788,a:"setOffset Modifies the position of a match in a document.  Syntax edkmatch:setOffset(new_offset) Arguments Returns The new position of the match (in bytes). Related Topics getOffset"},"259":{y:0,u:"../Content/Reference/LuaMethods/setOffsetLength.htm",l:-1,t:"setOffsetLength",i:0.00247251085506652,a:"setOffsetLength Modifies the position of a match in a document.  Syntax edkmatch:setOffsetLength(new_length) Arguments Returns The new position of the match (in characters)."},"260":{y:0,u:"../Content/Reference/LuaMethods/setOutputText.htm",l:-1,t:"setOutputText",i:0.00890898319088788,a:"Modifies the output text that you retrieved by using  getOutputText . The output text is the text after any normalization or modification that takes place as part of the extraction process. By contrast,  setMatchedText  enables you to modify the input text before any changes are made. Syntax ..."},"261":{y:0,u:"../Content/Reference/LuaMethods/setScore.htm",l:-1,t:"setScore",i:0.0153454555267092,a:"setScore Modifies the match score that you retrieved with  getScore . Syntax edkmatch:setScore(new_score) Arguments Returns The new score for the match."},"262":{y:0,u:"../Content/Reference/LuaMethods/session.htm",l:-1,t:"session Methods",i:0.0012055629447781,a:"session Methods The following methods are available on session objects."},"263":{y:0,u:"../Content/Reference/LuaMethods/injectMatch.htm",l:-1,t:"injectMatch",i:0.00223029580569724,a:"Injects a match into the current matching session. This method accepts an edkMatch object. This edkMatch must be one that you create in the Lua script; nothing happens if you call injectMatch on the match from Eduction that you first pass into the finalizematch function. After you call this ..."},"264":{y:0,u:"../Content/Reference/LuaMethods/IDOLStandardLua.htm",l:-1,t:"Standard IDOL Lua Functions",i:0.0012055629447781,a:"The Eduction SDK allows you to use all standard IDOL Lua functions and methods. Most of these functions and methods are not relevant to Eduction, but in some cases you might find the general functions useful.  For details of the available methods, refer to the IDOL NiFi Ingest Getting Started Guide. ..."},});